com.pdfunit.validators

## Class MultiDocumentFontNameValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentFontNameValidator

-     @DoNotObfuscate
      public final class MultiDocumentFontNameValidator
      extends java.lang.Object

  Validator for font names in multiple PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016
  See Also:
    `FontNameValidator`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentFontNameValidator(java.util.Vector<FontNameValidator> fontNameValidators, MultiDocumentFontValidator backReference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentFontValidator` | `withNameContaining(java.lang.String expectedName)` This method verifies that the expected name is part of the current font name.
    `MultiDocumentFontValidator` | `withNameNotContaining(java.lang.String expectedName)` This method verifies that the expected name is not part of the current font name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentFontNameValidator

          protected MultiDocumentFontNameValidator(java.util.Vector<FontNameValidator> fontNameValidators,
                                        MultiDocumentFontValidator backReference)

  - ### Method Detail

    - #### withNameContaining

          @Guarded
          public MultiDocumentFontValidator withNameContaining(java.lang.String expectedName)

      This method verifies that the expected name is part of the current font name. This was done for each given PDF document.

    - #### withNameNotContaining

          @Guarded
          public MultiDocumentFontValidator withNameNotContaining(java.lang.String expectedName)

      This method verifies that the expected name is not part of the current font name. This was done for each given PDF document.

Copyright (C) PDFUnit.com. See here for license.